free_config_entries(3)

NAME
free_config_entries - Frees memory allocated for config entry lists. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int free_config_entries(const char ***names);

DESCRIPTION
Once you are done with the string arrays filled in by list_config_entries and list_config_sections, you can free them again with this function. The passed array pointer will be set to NULL, and you directly can pass the same pointer again to list_config_entries or list_config_sections later - but you also could pass them again without freeing first, since the memory is re-allocated when the pointer is not NULL. See list_config_entries for an example of how to use it.

SEE ALSO
list_config_entries(3), list_config_sections(3)